Skip to content

Update A Specific User

Request

Update an existing user's record. When updating a user you only need to specify the fields that you would like to change. All other fields will remain unchanged.

To update a user's phone number, you might send the following XML.

<user>
    <phone>1 555 111 1111</phone>
</user>

To remove a user's phone number, you might send the following XML.

<user>
    <phone></phone>
</user>

To update a user's mobile permissions and remove their web permissions, you might send the following XML.

<user>
   <permissions>
        <admin>none</admin>
        <schedule>none</schedule>
        <map>none</map>
        <reports>none</reports>
        <jobs>none</jobs>
        <customers>none</customers>
        <quotes>none</quotes>
        <equipment>none</equipment>
        <messaging>none</messaging>
        <mobile>full</mobile>
        <mobile_jobs_create>full</mobile_jobs_create>
        <mobile_jobs_assign>full</mobile_jobs_assign>
        <mobile_invoice>full</mobile_invoice>
    </permissions>
</user>
Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idinteger

Sets the the call to look for a Third Party ID instead of the vWork ID.

Example:use_third_party_id='1'
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

PUT
/v5/users/{id}.xml
curl -i -X PUT \
  'https://api.vworkapp.com/v5/users/{id}.xml?api_key=string&use_third_party_id='\''1'\''&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <user>
      <phone>1 555 111 2222</phone>
  </user>'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:52:16 GMT"
ETagstring
Example:"W/\"cd023b0b002846ec7649112cadaf3433\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"8b9fb0f1-7020-466e-955b-c1d4f1f5be11"
X-Runtimestring
Example:"0.105612"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F46FE_6ED87C:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<user>
    <id readonly="readonly">66270</id>
    <group_ids></group_ids>
    <name>George Smith</name>
    <email>george@example.com</email>
    <phone>1 555 111 1111</phone>
    <notes>Mack 3DC 12L V-TEC</notes>
    <shift_on>true</shift_on>
    <third_party_id></third_party_id>
    <created_at readonly="readonly">2021-03-09T01:37:54+00:00</created_at>
    <updated_at readonly="readonly">2021-03-09T01:37:54+00:00</updated_at>
    <latest_telemetry></latest_telemetry>
    <permissions>
        <admin>none</admin>
        <schedule>none</schedule>
        <map>none</map>
        <reports>none</reports>
        <jobs>none</jobs>
        <customers>none</customers>
        <quotes>none</quotes>
        <equipment>none</equipment>
        <messaging>none</messaging>
        <mobile>full</mobile>
        <mobile_jobs_create>full</mobile_jobs_create>
        <mobile_jobs_assign>full</mobile_jobs_assign>
        <mobile_invoice>full</mobile_invoice>
   …